com.amarula.barcodescanner.sdk

## Class BarcodeScannerSymbologyTable.HwLabelSDL

- java.lang.Object
- - com.amarula.barcodescanner.sdk.BarcodeScannerSymbologyTable.HwLabelSDL

- Enclosing class:
    BarcodeScannerSymbologyTable

      public final class BarcodeScannerSymbologyTable.HwLabelSDL
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SDL_AUSTRALIA_POSTAL`
    `static java.lang.String` | `SDL_AZTEC`
    `static java.lang.String` | `SDL_BOOKLAND_EAN`
    `static java.lang.String` | `SDL_CHINESE_2_OF_5`
    `static java.lang.String` | `SDL_CODABAR`
    `static java.lang.String` | `SDL_CODE_11`
    `static java.lang.String` | `SDL_CODE_128`
    `static java.lang.String` | `SDL_CODE_32`
    `static java.lang.String` | `SDL_CODE_39`
    `static java.lang.String` | `SDL_CODE_93`
    `static java.lang.String` | `SDL_CODE39_FULL_ASCII`
    `static java.lang.String` | `SDL_CODE39_TRIOPTIC`
    `static java.lang.String` | `SDL_DATA_MATRIX`
    `static java.lang.String` | `SDL_DISCRETE_2_OF_5`
    `static java.lang.String` | `SDL_DUTCH_POSTAL`
    `static java.lang.String` | `SDL_EAN_128`
    `static java.lang.String` | `SDL_EAN_13`
    `static java.lang.String` | `SDL_EAN_8`
    `static java.lang.String` | `SDL_GS1_DATABAR_14`
    `static java.lang.String` | `SDL_GS1_DATABAR_EXPANDED`
    `static java.lang.String` | `SDL_GS1_DATABAR_LIMITED`
    `static java.lang.String` | `SDL_HAN_XIN`
    `static java.lang.String` | `SDL_INTERLEAVED_2_OF_5`
    `static java.lang.String` | `SDL_ISBT_128`
    `static java.lang.String` | `SDL_ISSN_EAN`
    `static java.lang.String` | `SDL_JAPAN_POSTAL`
    `static java.lang.String` | `SDL_KOREAN_3_OF_5`
    `static java.lang.String` | `SDL_MATRIX_2_OF_5`
    `static java.lang.String` | `SDL_MAXICODE`
    `static java.lang.String` | `SDL_MICRO_PDF`
    `static java.lang.String` | `SDL_MICRO_QR`
    `static java.lang.String` | `SDL_MSI`
    `static java.lang.String` | `SDL_PDF_417`
    `static java.lang.String` | `SDL_QR_CODE`
    `static java.lang.String` | `SDL_UK_POSTAL`
    `static java.lang.String` | `SDL_UPC_A`
    `static java.lang.String` | `SDL_UPC_E`
    `static java.lang.String` | `SDL_UPC_E1`
    `static java.lang.String` | `SDL_UPU_4STATE`
    `static java.lang.String` | `SDL_US_PLANET`
    `static java.lang.String` | `SDL_US_POSTNET`
    `static java.lang.String` | `SDL_USPS_4CB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HwLabelSDL()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SDL_CODE_39

          public static final java.lang.String SDL_CODE_39

      See Also:
        Constant Field Values

    - #### SDL_CODABAR

          public static final java.lang.String SDL_CODABAR

      See Also:
        Constant Field Values

    - #### SDL_CODE_128

          public static final java.lang.String SDL_CODE_128

      See Also:
        Constant Field Values

    - #### SDL_DISCRETE_2_OF_5

          public static final java.lang.String SDL_DISCRETE_2_OF_5

      See Also:
        Constant Field Values

    - #### SDL_INTERLEAVED_2_OF_5

          public static final java.lang.String SDL_INTERLEAVED_2_OF_5

      See Also:
        Constant Field Values

    - #### SDL_CODE_93

          public static final java.lang.String SDL_CODE_93

      See Also:
        Constant Field Values

    - #### SDL_UPC_A

          public static final java.lang.String SDL_UPC_A

      See Also:
        Constant Field Values

    - #### SDL_UPC_E

          public static final java.lang.String SDL_UPC_E

      See Also:
        Constant Field Values

    - #### SDL_EAN_8

          public static final java.lang.String SDL_EAN_8

      See Also:
        Constant Field Values

    - #### SDL_EAN_13

          public static final java.lang.String SDL_EAN_13

      See Also:
        Constant Field Values

    - #### SDL_CODE_11

          public static final java.lang.String SDL_CODE_11

      See Also:
        Constant Field Values

    - #### SDL_MSI

          public static final java.lang.String SDL_MSI

      See Also:
        Constant Field Values

    - #### SDL_EAN_128

          public static final java.lang.String SDL_EAN_128

      See Also:
        Constant Field Values

    - #### SDL_UPC_E1

          public static final java.lang.String SDL_UPC_E1

      See Also:
        Constant Field Values

    - #### SDL_PDF_417

          public static final java.lang.String SDL_PDF_417

      See Also:
        Constant Field Values

    - #### SDL_CODE39_FULL_ASCII

          public static final java.lang.String SDL_CODE39_FULL_ASCII

      See Also:
        Constant Field Values

    - #### SDL_CODE39_TRIOPTIC

          public static final java.lang.String SDL_CODE39_TRIOPTIC

      See Also:
        Constant Field Values

    - #### SDL_BOOKLAND_EAN

          public static final java.lang.String SDL_BOOKLAND_EAN

      See Also:
        Constant Field Values

    - #### SDL_ISBT_128

          public static final java.lang.String SDL_ISBT_128

      See Also:
        Constant Field Values

    - #### SDL_MICRO_PDF

          public static final java.lang.String SDL_MICRO_PDF

      See Also:
        Constant Field Values

    - #### SDL_DATA_MATRIX

          public static final java.lang.String SDL_DATA_MATRIX

      See Also:
        Constant Field Values

    - #### SDL_QR_CODE

          public static final java.lang.String SDL_QR_CODE

      See Also:
        Constant Field Values

    - #### SDL_US_POSTNET

          public static final java.lang.String SDL_US_POSTNET

      See Also:
        Constant Field Values

    - #### SDL_US_PLANET

          public static final java.lang.String SDL_US_PLANET

      See Also:
        Constant Field Values

    - #### SDL_CODE_32

          public static final java.lang.String SDL_CODE_32

      See Also:
        Constant Field Values

    - #### SDL_JAPAN_POSTAL

          public static final java.lang.String SDL_JAPAN_POSTAL

      See Also:
        Constant Field Values

    - #### SDL_AUSTRALIA_POSTAL

          public static final java.lang.String SDL_AUSTRALIA_POSTAL

      See Also:
        Constant Field Values

    - #### SDL_DUTCH_POSTAL

          public static final java.lang.String SDL_DUTCH_POSTAL

      See Also:
        Constant Field Values

    - #### SDL_MAXICODE

          public static final java.lang.String SDL_MAXICODE

      See Also:
        Constant Field Values

    - #### SDL_UK_POSTAL

          public static final java.lang.String SDL_UK_POSTAL

      See Also:
        Constant Field Values

    - #### SDL_MICRO_QR

          public static final java.lang.String SDL_MICRO_QR

      See Also:
        Constant Field Values

    - #### SDL_AZTEC

          public static final java.lang.String SDL_AZTEC

      See Also:
        Constant Field Values

    - #### SDL_GS1_DATABAR_14

          public static final java.lang.String SDL_GS1_DATABAR_14

      See Also:
        Constant Field Values

    - #### SDL_GS1_DATABAR_LIMITED

          public static final java.lang.String SDL_GS1_DATABAR_LIMITED

      See Also:
        Constant Field Values

    - #### SDL_GS1_DATABAR_EXPANDED

          public static final java.lang.String SDL_GS1_DATABAR_EXPANDED

      See Also:
        Constant Field Values

    - #### SDL_USPS_4CB

          public static final java.lang.String SDL_USPS_4CB

      See Also:
        Constant Field Values

    - #### SDL_UPU_4STATE

          public static final java.lang.String SDL_UPU_4STATE

      See Also:
        Constant Field Values

    - #### SDL_ISSN_EAN

          public static final java.lang.String SDL_ISSN_EAN

      See Also:
        Constant Field Values

    - #### SDL_MATRIX_2_OF_5

          public static final java.lang.String SDL_MATRIX_2_OF_5

      See Also:
        Constant Field Values

    - #### SDL_CHINESE_2_OF_5

          public static final java.lang.String SDL_CHINESE_2_OF_5

      See Also:
        Constant Field Values

    - #### SDL_KOREAN_3_OF_5

          public static final java.lang.String SDL_KOREAN_3_OF_5

      See Also:
        Constant Field Values

    - #### SDL_HAN_XIN

          public static final java.lang.String SDL_HAN_XIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HwLabelSDL

          public HwLabelSDL()